Debian Bug report logs - #561712
live-magic: helpers now installed in /usr/share/live-helper/helpers and not /usr/bin

version graph

Package: live-magic; Maintainer for live-magic is Debian Live Project <debian-live@lists.debian.org>;

Reported by: julien@kirya.net

Date: Sat, 19 Dec 2009 19:42:04 UTC

Severity: grave

Tags: patch

Found in version live-magic/1.7

Fixed in version live-magic/1.8

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#561712; Package live-magic. (Sat, 19 Dec 2009 19:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to julien@kirya.net:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sat, 19 Dec 2009 19:42:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Valroff <julien@kirya.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-magic: helpers now installed in /usr/share/live-helper/helpers and not /usr/bin
Date: Sat, 19 Dec 2009 20:34:19 +0100
Package: live-magic
Version: 1.7
Severity: grave
Justification: renders package unusable

Hi,

Helpers are now installed to /usr/share/live-helper/helpers instead of
/usr/bin which causes live-magic to be totally unusable.

$ live-magic 
Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.5/LiveMagic/controllers/wizard.py", line 51, in on_wizard_apply
    self.model = Config(build_dir, **data)
  File "/usr/lib/pymodules/python2.5/DebianLive/__init__.py", line 48, in __init__
    raise IOError, out
IOError: sh: lh_config: not found

Cheers,
Julien


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (150, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-magic depends on:
ii  gksu                          2.0.2-2+b1 graphical frontend to su
ii  live-helper                   2.0~a3-1   Debian Live build scripts
ii  python                        2.5.4-4    An interactive high-level object-o
ii  python-glade2                 2.16.0-1   GTK+ bindings: Glade support
ii  python-gtk2                   2.16.0-1   Python bindings for the GTK+ widge
ii  python-support                1.0.6      automated rebuilding support for P
ii  python-vte                    1:0.22.5-1 Python bindings for the VTE widget
ii  xdg-utils                     1.0.2-6.1  desktop integration utilities from

Versions of packages live-magic recommends:
ii  cdebootstrap                  0.5.5      Bootstrap a Debian system

live-magic suggests no packages.

-- no debconf information






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#561712; Package live-magic. (Sun, 20 Dec 2009 10:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sun, 20 Dec 2009 10:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 561712@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: julien@kirya.net
Cc: 561712@bugs.debian.org
Subject: Re: Bug#561712: live-magic: helpers now installed in /usr/share/live-helper/helpers and not /usr/bin
Date: Sun, 20 Dec 2009 11:13:56 +0100
[Message part 1 (text/plain, inline)]
Julien Valroff wrote:
> Helpers are now installed to /usr/share/live-helper/helpers instead of
> /usr/bin which causes live-magic to be totally unusable.

the location is not the problem, but the s/lh_$command/lh command/. 
attached patch should do it.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/
[patch.diff (text/x-diff, inline)]
diff --git a/DebianLive/__init__.py b/DebianLive/__init__.py
index ada8e49..a78a740 100644
--- a/DebianLive/__init__.py
+++ b/DebianLive/__init__.py
@@ -40,7 +40,7 @@ class Config(object):
 
         options = ["--%s='%s'" % (k.replace('_', '-'), v)
             for k, v in kwargs.iteritems()]
-        cmd = 'cd "%s"; lh_config --ignore-system-defaults %s' % (os.path.abspath(self.dir),
+        cmd = 'cd "%s"; lh config --ignore-system-defaults %s' % (os.path.abspath(self.dir),
             ' '.join(options))
 
         result, out = commands.getstatusoutput(cmd)
diff --git a/LiveMagic/controllers/build.py b/LiveMagic/controllers/build.py
index 8677daf..4e0d24e 100644
--- a/LiveMagic/controllers/build.py
+++ b/LiveMagic/controllers/build.py
@@ -100,7 +100,7 @@ class BuildController(object):
 
         def ok_clean():
             set_cleaning_status()
-            _exec('lh_clean --chroot --stage --source --cache',
+            _exec('lh clean --chroot --stage --source --cache',
                 'rm -rf config/ binary/ tftpboot/',
                 'chown -R %d:%d .' % (self.uid, self.gid))
             return OK
@@ -112,7 +112,7 @@ class BuildController(object):
 
         def failed_clean():
             set_cleaning_status()
-            _exec('lh_clean --purge', 'rm -rvf config/',
+            _exec('lh clean --purge', 'rm -rvf config/',
                 'chown -R %d:%d .' % (self.uid, self.gid))
             return FAILED
 
@@ -123,7 +123,7 @@ class BuildController(object):
 
         def cancelled_clean():
             set_cleaning_status()
-            _exec('lh_clean --purge', 'rm -rvf $(pwd)')
+            _exec('lh clean --purge', 'rm -rvf $(pwd)')
             return CANCELLED
 
         if self.state == BUILDING:
diff --git a/misc/live-magic-builder b/misc/live-magic-builder
index f0d4307..2c0165f 100755
--- a/misc/live-magic-builder
+++ b/misc/live-magic-builder
@@ -36,7 +36,7 @@ Check () {
 }
 
 Clean () {
-	lh_clean --purge | tee -a ${LOG}
+	lh clean --purge | tee -a ${LOG}
 }
 
 Save_config () {
@@ -53,10 +53,10 @@ Check
 Clean
 Save_config
 Set_status building
-Echo_verbose "lh_build starting in $(pwd)"
+Echo_verbose "lh build starting in $(pwd)"
 Echo_line
-lh_build 2>&1 | tee -a ${LOG}
+lh build 2>&1 | tee -a ${LOG}
 Echo_line
-Echo_verbose "lh_build returned successfully"
+Echo_verbose "lh build returned successfully"
 Set_status ok
 exit 0

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#561712; Package live-magic. (Fri, 22 Jan 2010 12:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Fri, 22 Jan 2010 12:51:06 GMT) Full text and rfc822 format available.

Message #15 received at 561712@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Chris Lamb <chris@chris-lamb.co.uk>
Cc: 561712@bugs.debian.org
Subject: Re: Bug#561712: live-magic: helpers now installed in /usr/share/live-helper/helpers
Date: Fri, 22 Jan 2010 13:39:29 +0100
Chris,

any comment from you on the issue?

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) patch. Request was from Patrick Winnertz <winnie@debian.org> to control@bugs.debian.org. (Sun, 24 Jan 2010 11:03:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#561712; Package live-magic. (Sun, 31 Jan 2010 23:36:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sun, 31 Jan 2010 23:36:10 GMT) Full text and rfc822 format available.

Message #22 received at 561712@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 561712@bugs.debian.org
Subject: live-magic: diff for NMU version 1.7+nmu1
Date: Mon, 1 Feb 2010 00:32:50 +0100
[Message part 1 (text/plain, inline)]
tag 561712 + pending
thanks

Dear maintainer,

I've prepared an NMU for live-magic (versioned as 1.7+nmu1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x00F3CFE4, 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Rod Steward: Maggie May
[live-magic-1.7+nmu1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 31 Jan 2010 23:36:11 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 01 Feb 2010 04:12:06 GMT) Full text and rfc822 format available.

Notification sent to julien@kirya.net:
Bug acknowledged by developer. (Mon, 01 Feb 2010 04:12:06 GMT) Full text and rfc822 format available.

Message #29 received at 561712-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 561712-close@bugs.debian.org
Subject: Bug#561712: fixed in live-magic 1.8
Date: Mon, 01 Feb 2010 04:07:08 +0000
Source: live-magic
Source-Version: 1.8

We believe that the bug you reported is fixed in the latest version of
live-magic, which is due to be installed in the Debian FTP archive:

live-magic_1.8.dsc
  to main/l/live-magic/live-magic_1.8.dsc
live-magic_1.8.tar.gz
  to main/l/live-magic/live-magic_1.8.tar.gz
live-magic_1.8_all.deb
  to main/l/live-magic/live-magic_1.8_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 561712@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-magic package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 01 Feb 2010 04:19:59 +0100
Source: live-magic
Binary: live-magic
Architecture: source all
Version: 1.8
Distribution: unstable
Urgency: low
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-magic - GUI frontend to create Debian LiveCDs, netboot images, etc.
Closes: 561712
Changes: 
 live-magic (1.8) unstable; urgency=low
 .
   * Update live-helper calls for version 2 (Closes: #561712).
   * Bump Standards-Version to 3.8.4.
Checksums-Sha1: 
 e6c913f092975eb444b73e73a2554d4cbc42afd6 1017 live-magic_1.8.dsc
 f5fa7b4265bf7e741158d19bc78336b2e92cf64b 77341 live-magic_1.8.tar.gz
 f637a7db6dc3f6d7b07b3c5f90a737c8e455858e 62582 live-magic_1.8_all.deb
Checksums-Sha256: 
 5977f097d60061f761573a201aa6a789bdfd2cd3d12490c901edcd682e0b2831 1017 live-magic_1.8.dsc
 26c795d5c74a09cd637f054d4345f3a5ca85494c427a788b3e93836db233d4e2 77341 live-magic_1.8.tar.gz
 86bdde7b4f31789ab5de6b4735ca1ff527276f2c3800bd746a452236b7578bfa 62582 live-magic_1.8_all.deb
Files: 
 22d623f6370b2b244f34eee4099accc5 1017 misc optional live-magic_1.8.dsc
 85e81838cafd29f9218a28e1260feda7 77341 misc optional live-magic_1.8.tar.gz
 7d87d2ab69020c7b8e3334229365587d 62582 misc optional live-magic_1.8_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktmS+AACgkQ+C5cwEsrK55cYwCg26+/GsolifK9zEjKuJg6xSLJ
xa4AoKJvb0g6vtVKkKQkJQo42vb8CIJl
=1wGM
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#561712; Package live-magic. (Mon, 01 Feb 2010 21:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Mon, 01 Feb 2010 21:33:08 GMT) Full text and rfc822 format available.

Message #34 received at 561712@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Chris Lamb <chris@chris-lamb.co.uk>
Cc: 561712@bugs.debian.org
Subject: Re: live-magic: helpers now installed in /usr/share/live-helper/helpers and not /usr/bin
Date: Mon, 01 Feb 2010 22:28:36 +0100
Hi Chris,

for your convenience, i've uploaded the git repo containing my changes
for 1.8 here:

http://live.debian.net/gitweb/?p=live-magic.git

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 02 Mar 2010 07:30:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:46:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.